---------------------
PatchSet 5171 
Date: 2007/08/06 08:46:37
Author: amosjeffries
Branch: docs
Tag: (none) 
Log:
Change API tag ACL to ACLAPI inline with other API tags.
Removes confusion with class name.

Members: 
	doc/Programming-Guide/AccessControls.dox:1.1.2.1->1.1.2.2 
	doc/Programming-Guide/AuthenticationFramework.dox:1.1.2.5->1.1.2.6 
	src/ACL.h:1.18.10.2->1.18.10.3 

Index: squid3/doc/Programming-Guide/AccessControls.dox
===================================================================
RCS file: /cvsroot/squid-sf//squid3/doc/Programming-Guide/Attic/AccessControls.dox,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid3/doc/Programming-Guide/AccessControls.dox	6 Aug 2007 05:56:29 -0000	1.1.2.1
+++ squid3/doc/Programming-Guide/AccessControls.dox	6 Aug 2007 08:46:37 -0000	1.1.2.2
@@ -1,5 +1,5 @@
 /**
-\defgroup ACL Access Controls
+\defgroup ACLAPI Access Controls
 \ingroup Components
 
 \par
Index: squid3/doc/Programming-Guide/AuthenticationFramework.dox
===================================================================
RCS file: /cvsroot/squid-sf//squid3/doc/Programming-Guide/Attic/AuthenticationFramework.dox,v
retrieving revision 1.1.2.5
retrieving revision 1.1.2.6
diff -u -r1.1.2.5 -r1.1.2.6
--- squid3/doc/Programming-Guide/AuthenticationFramework.dox	6 Aug 2007 08:34:09 -0000	1.1.2.5
+++ squid3/doc/Programming-Guide/AuthenticationFramework.dox	6 Aug 2007 08:46:37 -0000	1.1.2.6
@@ -41,13 +41,13 @@
         by a specific scheme to perform data manipulation external to squid.
         Typically this involves comparing the browser submitted credentials with
         those in the organization's user directory.
-		
+
 \par
 	Auth modules SHOULD NOT perform access control functions. Squid has
-        advanced caching access control functionality already. Future work in
-        squid will allow a auth scheme helper to return group information for a
-        user, to allow Squid to more seamlessly implement access control.
-		
+	advanced caching \link ACLAPI access control \endlink functionality already.
+	Future work in squid will allow a auth scheme helper to return group information
+	for a user, to allow Squid to more seamlessly implement access control.
+
 \subsection Functions Function typedefs
 
 \par	This documentation is largely obsolete and merged into C++ classes instead.
Index: squid3/src/ACL.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACL.h,v
retrieving revision 1.18.10.2
retrieving revision 1.18.10.3
diff -u -r1.18.10.2 -r1.18.10.3
--- squid3/src/ACL.h	6 Aug 2007 07:26:38 -0000	1.18.10.2
+++ squid3/src/ACL.h	6 Aug 2007 08:46:37 -0000	1.18.10.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACL.h,v 1.18.10.2 2007/08/06 07:26:38 amosjeffries Exp $
+ * $Id: ACL.h,v 1.18.10.3 2007/08/06 08:46:37 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -47,38 +47,38 @@
 
 /* acl.c */
 
-/// \ingroup ACL
+/// \ingroup ACLAPI
 SQUIDCEXTERN void aclDestroyAccessList(acl_access **list);
-/// \ingroup ACL
+/// \ingroup ACLAPI
 SQUIDCEXTERN void aclDestroyAcls(ACL **);
-/// \ingroup ACL
+/// \ingroup ACLAPI
 SQUIDCEXTERN void aclDestroyAclList(acl_list **);
-/// \ingroup ACL
+/// \ingroup ACLAPI
 SQUIDCEXTERN void aclParseAccessLine(ConfigParser &parser, acl_access **);
-/// \ingroup ACL
+/// \ingroup ACLAPI
 SQUIDCEXTERN void aclParseAclList(ConfigParser &parser, acl_list **);
-/// \ingroup ACL
+/// \ingroup ACLAPI
 SQUIDCEXTERN int aclIsProxyAuth(const char *name);
-/// \ingroup ACL
+/// \ingroup ACLAPI
 SQUIDCEXTERN err_type aclGetDenyInfoPage(acl_deny_info_list ** head, const char *name, int redirect_allowed);
 
-/// \ingroup ACL
+/// \ingroup ACLAPI
 SQUIDCEXTERN void aclParseDenyInfoLine(struct _acl_deny_info_list **);
 
-/// \ingroup ACL
+/// \ingroup ACLAPI
 SQUIDCEXTERN void aclDestroyDenyInfoList(struct _acl_deny_info_list **);
-/// \ingroup ACL
+/// \ingroup ACLAPI
 SQUIDCEXTERN wordlist *aclDumpGeneric(const ACL *);
-/// \ingroup ACL
+/// \ingroup ACLAPI
 SQUIDCEXTERN void aclCacheMatchFlush(dlink_list * cache);
-/// \ingroup ACL
+/// \ingroup ACLAPI
 extern void dump_acl_access(StoreEntry * entry, const char *name, acl_access * head);
-/// \ingroup ACL
+/// \ingroup ACLAPI
 int aclPurgeMethodInUse(acl_access * a);
-/// \ingroup ACL
+/// \ingroup ACLAPI
 extern const char *AclMatchedName;	/* NULL */
 
-/// \ingroup ACL
+/// \ingroup ACLAPI
 class ACL
 {
 
@@ -139,7 +139,7 @@
     };
 };
 
-/// \ingroup ACL
+/// \ingroup ACLAPI
 class acl_access
 {
 
@@ -156,7 +156,7 @@
     CBDATA_CLASS(acl_access);
 };
 
-/// \ingroup ACL
+/// \ingroup ACLAPI
 class ACLList
 {
 
@@ -173,10 +173,10 @@
 
 MEMPROXY_CLASS_INLINE(ACLList);
 
-/// \ingroup ACL
+/// \ingroup ACLAPI
 typedef ACLList acl_list;
 
-/// \ingroup ACL
+/// \ingroup ACLAPI
 class acl_proxy_auth_match_cache
 {
 
